Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0001211 [Piwigo] web API block always 2009.10.26 01:59 2009.12.05 00:21
Reporter plg View Status public  
Assigned To plg
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.0.7 Product Version 2.0.5
  Target Version 2.0.7 Product Build
Summary 0001211: pLoader won't work with PHP 5.3.0 on Piwigo side
Description As described on topic:15448, many errors reported in Apache log when pLoader tries to connect to Piwigo with PHP 5.3.0 on server side.
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0003178)
svn (reporter)
2009.12.05 00:18

[Subversion] r4426 by plg on branch 2.0

-----[Subversion commit log]----------------------------------------------------
bug 1211 fixed: with PHP 5.3, the get_class function requires the input
parameter to be an object, or else throws a E_WARNING message. In webservices
files, I have replaced all "get_class" calls by "@get_class".
(0003179)
svn (reporter)
2009.12.05 00:19

[Subversion] r4427 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
merge r4426 from branch 2.0 to trunk

bug 1211 fixed: with PHP 5.3, the get_class function requires the input
parameter to be an object, or else throws a E_WARNING message. In webservices
files, I have replaced all "get_class" calls by "@get_class".
(0003180)
plg (manager)
2009.12.05 00:21

I've upgraded my PHP installation to 5.3.1 and reproduced the error.

With this (ugly?) fix, no more warnings, no more noise in the web API response content.

- Issue History
Date Modified Username Field Change
2009.10.26 01:59 plg New Issue
2009.10.26 01:59 plg Status new => assigned
2009.10.26 01:59 plg Assigned To => plg
2009.10.26 01:59 plg browser => any
2009.10.26 01:59 plg Web server => Apache 1.3.x
2009.11.06 00:19 plg Target Version 2.0.6 => 2.0.7
2009.12.05 00:18 svn Checkin
2009.12.05 00:18 svn Note Added: 0003178
2009.12.05 00:19 svn Checkin
2009.12.05 00:19 svn Note Added: 0003179
2009.12.05 00:21 plg Note Added: 0003180
2009.12.05 00:21 plg Status assigned => closed
2009.12.05 00:21 plg Resolution open => fixed
2009.12.05 00:21 plg Fixed in Version => 2.0.7


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker